ParameterBinder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.internal
Class ParameterBinder

    java.lang.Object
      org.hibernate.engine.internal.ParameterBinder

    public class ParameterBinder

extends Object

Centralizes the commonality regarding binding of parameter values into PreparedStatements as this logic is used in many places.

Ideally would like to move to the parameter handling as it is done in the hql.ast package.

Nested Class Summary
`static interface` | `ParameterBinder.NamedParameterSource`

Method Summary
`static int` | `bindNamedParameters(PreparedStatement ps, Map namedParams, int start, ParameterBinder.NamedParameterSource source, SessionImplementor session)`
`static int` | `bindNamedParameters(PreparedStatement ps, QueryParameters queryParameters, int start, ParameterBinder.NamedParameterSource source, SessionImplementor session)`
`static int` | `bindPositionalParameters(PreparedStatement st, Object[] values, Type[] types, int start, SessionImplementor session)`
`static int` | `bindPositionalParameters(PreparedStatement st, QueryParameters queryParameters, int start, SessionImplementor session)`
`static int` | `bindQueryParameters(PreparedStatement st, QueryParameters queryParameters, int start, ParameterBinder.NamedParameterSource source, SessionImplementor session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### bindQueryParameters

    public static int bindQueryParameters(PreparedStatement st,
                                          QueryParameters queryParameters,
                                          int start,
                                          ParameterBinder.NamedParameterSource source,
                                          SessionImplementor session)
                                   throws SQLException,
                                          HibernateException

  Throws:
    `SQLException`
    `HibernateException`

### bindPositionalParameters

    public static int bindPositionalParameters(PreparedStatement st,
                                               QueryParameters queryParameters,
                                               int start,
                                               SessionImplementor session)
                                        throws SQLException,
                                               HibernateException

  Throws:
    `SQLException`
    `HibernateException`

### bindPositionalParameters

    public static int bindPositionalParameters(PreparedStatement st,
                                               Object[] values,
                                               Type[] types,
                                               int start,
                                               SessionImplementor session)
                                        throws SQLException,
                                               HibernateException

  Throws:
    `SQLException`
    `HibernateException`

### bindNamedParameters

    public static int bindNamedParameters(PreparedStatement ps,
                                          QueryParameters queryParameters,
                                          int start,
                                          ParameterBinder.NamedParameterSource source,
                                          SessionImplementor session)
                                   throws SQLException,
                                          HibernateException

  Throws:
    `SQLException`
    `HibernateException`

### bindNamedParameters

    public static int bindNamedParameters(PreparedStatement ps,
                                          Map namedParams,
                                          int start,
                                          ParameterBinder.NamedParameterSource source,
                                          SessionImplementor session)
                                   throws SQLException,
                                          HibernateException

  Throws:
    `SQLException`
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.